## mapproxy 1.12.0

=== Makefile ===
# Makefile for building MapProxy-Debian-packages
#
# (c) 2011 Stephan Holl, <stephan.holl@intevation.de>
#

PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/mapproxy
PROJECT=MapProxy
VERSION=1.1.0

all:
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm

builddeb:
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	dpkg-buildpackage -i -I -rfakeroot

clean:
	$(PYTHON) setup.py clean
	fakeroot $(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

## mapproxy 1.9.0

=== debian/changelog ===
mapproxy (1.9.0-3+deb9u1) stretch; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Add upstream patch to fix Cross Site Scripting (XSS) issue in demo service.
    Fixes CVE-2017-1000426.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jan 2018 09:33:15 +0100

mapproxy (1.9.0-3) unstable; urgency=medium

  * Add access_contraints patch ignored by .gitignore.
  * Add patch to disable tag_date for reproducible builds.
  * Add debian/.gitignore to not ignore debian/patches/*.patch.
  * Add patch to fix 'configuration' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2016 11:56:27 +0200

mapproxy (1.9.0-2) unstable; urgency=medium

  * Add upstream metadata.
  * Add upstream patch to use dummy access_contraints to clarify license.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Aug 2016 11:22:50 +0200

mapproxy (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Import mapproxy packaging from OSGeo-Live.
    (closes: #596812)
  * Restructure control file with cme.
  * Change Maintainer to Debian GIS team, add myself to Uploaders.
  * Add Vcs-* fields for git repository on Alioth.
  * Add watch file for GitHub releases.
  * Rework (build) dependencies, changes:
    - Drop obsolete build dependencies
    - Change lib{proj,gdal}<SOVERSION> dependencies to python-{pyproj,gdal}
    - Change Suggests to Recommends, modules conditionally imported
    - Switch from python-imaging to python-pil
  * Rewrite package description with a proper synopsis.
  * Add gbp.conf to use pristine-tar by default.
  * Also build module for Python 3.
  * Run tests as part of the build, changes:
    - Override dh_auto_test to ignore test failures
    - Add pyton{,3}-{lxml,nose,requests,shapely,webtest,yaml} to Build-Depends
    - Add patch to skip tests that require network
  * Install commandline utilities in separate package.
  * Add separate package for Sphinx documentation.
  * Add missing sources for OpenLayers.js 2.12.
  * Use DejaVu fonts from fonts-dejavu-core package.
  * Move templates, schemas & cache_data to /usr/share.
  * Update copyright file using copyright-format 1.0.
  * Bump Standards-Version to 3.9.8, changes:
    description, Vcs-* fields, copyright-format 1.0.
  * Include AUTHORS.txt & README.rst mapproxy docs.
  * Add manpage for mapproxy-util & mapproxy-seed.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Jul 2016 20:28:54 +0200

mapproxy (1.8.2-0~xenial0) xenial; urgency=medium

  * Xenial build

 -- Angelos Tzotsos <gcpp.kalxas@gmail.com>  Wed, 01 Jun 2016 18:13:00 +0200

mapproxy (1.8.0~trusty) trusty; urgency=medium

  * Trusty build

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Fri, 17 Jul 2015 13:10:24 +0200

mapproxy (1.8.0) unstable; urgency=low

  * New upstream, release.

 -- Oliver Tonnhofer <olt@bogosoft.com>  Fri, 17 Jul 2015 09:38:03 +0000

mapproxy (1.5.0) unstable; urgency=low

  * New upstream release.

 -- Oliver Tonnhofer <olt@bogosoft.com>  Wed, 05 Dec 2012 10:15:19 +0100

mapproxy (1.1.2) unstable; urgency=low

  * First debian release.

 -- Bjoern Schilberg <bjoern.schilberg@intevation.de>  Fri, 24 Jun 2011 09:49:44 +0200

mapproxy (1.1.0) unstable; urgency=low

  * Initial release of the debian-files

 -- Stephan Holl <stephan.holl@intevation.de>  Mon, 23 May 2011 09:50:26 +0200

=== debian/control ===
Source: mapproxy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libgdal-dev,
               libproj-dev,
               python-all,
               python-lxml,
               python-nose,
               python-pil,
               python-pkg-resources,
               python-requests,
               python-setuptools,
               python-shapely,
               python-sphinx,
               python-sphinx-bootstrap-theme,
               python-webtest,
               python-yaml,
               python3-all,
               python3-lxml,
               python3-nose,
               python3-pil,
               python3-pkg-resources,
               python3-requests,
               python3-setuptools,
               python3-shapely,
               python3-sphinx,
               python3-sphinx-bootstrap-theme,
               python3-webtest,
               python3-yaml,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapproxy.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapproxy.git -b stretch
Homepage: http://mapproxy.org/
X-Python-Version: >= 2.7

Package: mapproxy
Architecture: all
Section: web
Depends: python-mapproxy (= ${binary:Version}),
         ${misc:Depends}
Suggests: mapproxy-doc
Breaks: python-mapproxy (<< 1.8.2-1~)
Replaces: python-mapproxy (<< 1.8.2-1~)
Description: open source proxy for geospatial data
 MapProxy is an open source proxy for geospatial data. It caches, accelerates
 and transforms data from existing map services and serves any desktop or web
 GIS client.
 .
 MapProxy is a tile server (WMS-C, TMS, WMTS, KML SuperOverlays), and also a
 fully compliant WMS server supporting any WMS client (desktop and web).
 .
 This package provides the mapproxy utilities.

Package: python-mapproxy
Architecture: all
Depends: fonts-dejavu-core,
         python-pil,
         python-pkg-resources,
         python-pyproj,
         python-yaml,
         ${python:Depends},
         ${misc:Depends}
Recommends: python-gdal,
            python-lxml,
            python-pastedeploy,
            python-shapely
Description: open source proxy for geospatial data - Python 2 module
 MapProxy is an open source proxy for geospatial data. It caches, accelerates
 and transforms data from existing map services and serves any desktop or web
 GIS client.
 .
 MapProxy is a tile server (WMS-C, TMS, WMTS, KML SuperOverlays), and also a
 fully compliant WMS server supporting any WMS client (desktop and web).
 .
 This package provides the mapproxy module for Python 2.

Package: python3-mapproxy
Architecture: all
Depends: fonts-dejavu-core,
         python3-pil,
         python3-pkg-resources,
         python3-pyproj,
         python3-yaml,
         ${python3:Depends},
         ${misc:Depends}
Recommends: python3-gdal,
            python3-lxml,
            python3-pastedeploy,
            python3-shapely
Description: open source proxy for geospatial data - Python 3 module
 MapProxy is an open source proxy for geospatial data. It caches, accelerates
 and transforms data from existing map services and serves any desktop or web
 GIS client.
 .
 MapProxy is a tile server (WMS-C, TMS, WMTS, KML SuperOverlays), and also a
 fully compliant WMS server supporting any WMS client (desktop and web).
 .
 This package provides the mapproxy module for Python 3.

Package: mapproxy-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: open source proxy for geospatial data - documentation
 MapProxy is an open source proxy for geospatial data. It caches, accelerates
 and transforms data from existing map services and serves any desktop or web
 GIS client.
 .
 MapProxy is a tile server (WMS-C, TMS, WMTS, KML SuperOverlays), and also a
 fully compliant WMS server supporting any WMS client (desktop and web).
 .
 This package provides the MapProxy documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=mapproxy

BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

MANPAGES := $(wildcard debian/man/*.*.xml)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_clean:
	dh_auto_clean

	$(RM) -r doc/_build/

override_dh_auto_build:
	# Create man page from DocBook XML
	for x in $(MANPAGES) ; do \
	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	dh_auto_build

	(cd doc && PYTHONPATH=$(CURDIR) $(MAKE) html)

override_dh_auto_test:
	OFFLINE_TESTS=1 dh_auto_test || echo "Ignoring test failures"

override_dh_auto_install:
	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install

	# Remove duplicate license file
	$(RM) debian/*/usr/lib/python*/dist-packages/mapproxy/image/fonts/LICENSE

	for V in `pyversions -v -s`; do \
		for F in DejaVuSans.ttf DejaVuSansMono.ttf; do \
			$(RM) debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/image/fonts/$$F ; \
			ln -s /usr/share/fonts/truetype/dejavu/$$F \
			      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/image/fonts/$$F ; \
		done ; \
		if [ ! -e debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/service/templates ]; then \
			mkdir -p debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/service ; \
			mv debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates \
			   debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/service/ ; \
		else \
			$(RM) -r debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates ; \
		fi ; \
		ln -s /usr/share/python-$(PYBUILD_NAME)/service/templates \
		      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates ; \
		if [ ! -e debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/schemas ]; then \
			mkdir -p debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test ; \
			mv debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas \
			   debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/ ; \
		else \
			$(RM) -r debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas ; \
		fi ; \
		ln -s /usr/share/python-$(PYBUILD_NAME)/test/schemas \
		      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas ; \
		if [ ! -e debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/system/fixture/cache_data ]; then \
			mkdir -p debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/system/fixture ; \
			mv debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data \
			   debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/system/fixture/ ; \
		else \
			$(RM) -r debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
		fi ; \
		ln -s /usr/share/python-$(PYBUILD_NAME)/test/system/fixture/cache_data \
		      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
	done

	for V in `py3versions -v -s`; do \
		for F in DejaVuSans.ttf DejaVuSansMono.ttf; do \
			$(RM) debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/image/fonts/$$F ; \
			ln -s /usr/share/fonts/truetype/dejavu/$$F \
			      debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/image/fonts/$$F ; \
		done ; \
		if [ ! -e debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/service/templates ]; then \
			mkdir -p debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/service ; \
			mv debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates \
			   debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/service/ ; \
		else \
			$(RM) -r debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates ; \
		fi ; \
		ln -s /usr/share/python3-$(PYBUILD_NAME)/service/templates \
		      debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates ; \
		if [ ! -e debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/test/schemas ]; then \
			mkdir -p debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/test ; \
			mv debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas \
			   debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/test/ ; \
		else \
			$(RM) -r debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas ; \
		fi ; \
		ln -s /usr/share/python3-$(PYBUILD_NAME)/test/schemas \
		      debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas ; \
		if [ ! -e debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/test/system/fixture/cache_data ]; then \
			mkdir -p debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/test/system/fixture ; \
			mv debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data \
			   debian/python3-$(PYBUILD_NAME)/usr/share/python3-$(PYBUILD_NAME)/test/system/fixture/ ; \
		else \
			$(RM) -r debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
		fi ; \
		ln -s /usr/share/python3-$(PYBUILD_NAME)/test/system/fixture/cache_data \
		      debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
	done

override_dh_install:
	dh_install --list-missing

## mapproxy 1.10.1

=== debian/changelog ===
mapproxy (1.10.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 12:49:32 +0200

mapproxy (1.10.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Jun 2017 14:20:52 +0200

mapproxy (1.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add python{,3}-redis to (build) dependencies.
  * Drop patches applied upstream.
  * Update mapproxy-seed manpage for new options.
  * Add patch to skip tests when data files are missing.
  * Add python{,3}-boto{3,core} to recommended dependencies for S3 cache.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 May 2017 19:37:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                python-nose,
                python-pil,
                python-pkg-resources,
+               python-redis,
                python-requests,
                python-setuptools,
                python-shapely,
@@ -24,6 +25,7 @@
                python3-nose,
                python3-pil,
                python3-pkg-resources,
+               python3-redis,
                python3-requests,
                python3-setuptools,
                python3-shapely,
@@ -37,7 +39,7 @@
                xsltproc
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapproxy.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapproxy.git -b stretch
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapproxy.git
 Homepage: http://mapproxy.org/
 X-Python-Version: >= 2.7
 
@@ -68,9 +70,12 @@
          python-yaml,
          ${python:Depends},
          ${misc:Depends}
-Recommends: python-gdal,
+Recommends: python-boto3,
+            python-botocore,
+            python-gdal,
             python-lxml,
             python-pastedeploy,
+            python-redis,
             python-shapely
 Description: open source proxy for geospatial data - Python 2 module
  MapProxy is an open source proxy for geospatial data. It caches, accelerates
@@ -91,9 +96,12 @@
          python3-yaml,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-gdal,
+Recommends: python3-boto3,
+            python3-botocore,
+            python3-gdal,
             python3-lxml,
             python3-pastedeploy,
+            python3-redis,
             python3-shapely
 Description: open source proxy for geospatial data - Python 3 module
  MapProxy is an open source proxy for geospatial data. It caches, accelerates

## mapproxy 1.10.2

=== debian/changelog ===
mapproxy (1.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 Jun 2017 18:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapproxy.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapproxy.git
 Homepage: http://mapproxy.org/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 
 export PYBUILD_NAME=mapproxy
 
-BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE=$(shell echo $(SOURCE_DATE_EPOCH) | LC_ALL=C date -u "+%d %B %Y" -f -)
 
 MANPAGES := $(wildcard debian/man/*.*.xml)

## mapproxy 1.10.4

=== debian/changelog ===
mapproxy (1.10.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Aug 2017 18:21:53 +0200

mapproxy (1.10.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jul 2017 15:56:16 +0200

mapproxy (1.10.2-2) unstable; urgency=medium

  * Fix SOURCE_DATE_EPOCH use.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 20:49:39 +0200

## mapproxy 1.11.0

=== debian/changelog ===
mapproxy (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop libproj-dev from build dependencies, not directly required and
    already pulled in via libgdal-dev.
  * Refresh patches.
  * Update copyright years for Omniscale.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Nov 2017 17:07:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                libgdal-dev,
-               libproj-dev,
                python-all,
                python-lxml,
                python-nose,
@@ -37,7 +36,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapproxy.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapproxy.git
 Homepage: http://mapproxy.org/

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-BUILD_DATE=$(shell echo $(SOURCE_DATE_EPOCH) | LC_ALL=C date -u "+%d %B %Y" -f -)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
 
 MANPAGES := $(wildcard debian/man/*.*.xml)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapproxy-$1.$2/ \
https://github.com/mapproxy/mapproxy/releases \
(?:.*?/)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapproxy 1.11.1

=== debian/changelog ===
mapproxy (1.11.1-1) unstable; urgency=high

  * New upstream release.
    Fixes XSS issue in demo service, see:
    https://github.com/mapproxy/mapproxy/issues/322

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Aug 2019 13:00:23 +0200

mapproxy (1.11.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Drop unused override for python-module-in-wrong-location.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 09:52:17 +0200

mapproxy (1.11.0-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add lintian override for python-module-in-wrong-location.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:42:22 +0200

mapproxy (1.11.0-2) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop ancient X-Python-Version field.
  * Strip trailing whitespace from control & rules files.
  * Add patch to rename async.py to async_.py for Python 3.7 compatibility.
  * Add lintian overrides for embedded JS & fonts.
  * Remove documentation outside usr/share/doc.
  * Fix 'every time' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 19:11:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,6 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                libgdal-dev,
-               python-all,
-               python-lxml,
-               python-nose,
-               python-pil,
-               python-pkg-resources,
-               python-redis,
-               python-requests,
-               python-setuptools,
-               python-shapely,
-               python-sphinx,
-               python-sphinx-bootstrap-theme,
-               python-webtest,
-               python-yaml,
                python3-all,
                python3-lxml,
                python3-nose,
@@ -36,20 +23,17 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapproxy.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapproxy.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/
-X-Python-Version: >= 2.7
 
 Package: mapproxy
 Architecture: all
 Section: web
-Depends: python-mapproxy (= ${binary:Version}),
+Depends: python3-mapproxy (= ${binary:Version}),
          ${misc:Depends}
 Suggests: mapproxy-doc
-Breaks: python-mapproxy (<< 1.8.2-1~)
-Replaces: python-mapproxy (<< 1.8.2-1~)
 Description: open source proxy for geospatial data
  MapProxy is an open source proxy for geospatial data. It caches, accelerates
  and transforms data from existing map services and serves any desktop or web
@@ -59,32 +43,6 @@
  fully compliant WMS server supporting any WMS client (desktop and web).
  .
  This package provides the mapproxy utilities.
-
-Package: python-mapproxy
-Architecture: all
-Depends: fonts-dejavu-core,
-         python-pil,
-         python-pkg-resources,
-         python-pyproj,
-         python-yaml,
-         ${python:Depends},
-         ${misc:Depends}
-Recommends: python-boto3,
-            python-botocore,
-            python-gdal,
-            python-lxml,
-            python-pastedeploy,
-            python-redis,
-            python-shapely
-Description: open source proxy for geospatial data - Python 2 module
- MapProxy is an open source proxy for geospatial data. It caches, accelerates
- and transforms data from existing map services and serves any desktop or web
- GIS client.
- .
- MapProxy is a tile server (WMS-C, TMS, WMTS, KML SuperOverlays), and also a
- fully compliant WMS server supporting any WMS client (desktop and web).
- .
- This package provides the mapproxy module for Python 2.
 
 Package: python3-mapproxy
 Architecture: all
@@ -126,4 +84,3 @@
  fully compliant WMS server supporting any WMS client (desktop and web).
  .
  This package provides the MapProxy documentation.
-

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean debian/man/*.1
@@ -40,41 +40,6 @@
 
 	# Remove duplicate license file
 	$(RM) debian/*/usr/lib/python*/dist-packages/mapproxy/image/fonts/LICENSE
-
-	for V in `pyversions -v -s`; do \
-		for F in DejaVuSans.ttf DejaVuSansMono.ttf; do \
-			$(RM) debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/image/fonts/$$F ; \
-			ln -s /usr/share/fonts/truetype/dejavu/$$F \
-			      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/image/fonts/$$F ; \
-		done ; \
-		if [ ! -e debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/service/templates ]; then \
-			mkdir -p debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/service ; \
-			mv debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates \
-			   debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/service/ ; \
-		else \
-			$(RM) -r debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates ; \
-		fi ; \
-		ln -s /usr/share/python-$(PYBUILD_NAME)/service/templates \
-		      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/service/templates ; \
-		if [ ! -e debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/schemas ]; then \
-			mkdir -p debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test ; \
-			mv debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas \
-			   debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/ ; \
-		else \
-			$(RM) -r debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas ; \
-		fi ; \
-		ln -s /usr/share/python-$(PYBUILD_NAME)/test/schemas \
-		      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/schemas ; \
-		if [ ! -e debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/system/fixture/cache_data ]; then \
-			mkdir -p debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/system/fixture ; \
-			mv debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data \
-			   debian/python-$(PYBUILD_NAME)/usr/share/python-$(PYBUILD_NAME)/test/system/fixture/ ; \
-		else \
-			$(RM) -r debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
-		fi ; \
-		ln -s /usr/share/python-$(PYBUILD_NAME)/test/system/fixture/cache_data \
-		      debian/python-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
-	done
 
 	for V in `py3versions -v -s`; do \
 		for F in DejaVuSans.ttf DejaVuSansMono.ttf; do \
@@ -114,3 +79,4 @@
 override_dh_install:
 	dh_install --list-missing
 
+	$(RM) debian/*/usr/share/python*-mapproxy/test/schemas/*/*/ReadMe.txt

## mapproxy 1.12.0

=== debian/changelog ===
mapproxy (1.12.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 06:44:53 +0200

mapproxy (1.12.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update build dependencies for pytest instead of nose.
  * Drop patches applied upstream, refresh remaining patch.
  * Remove obsolete environment variable for tests.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Aug 2019 13:24:50 +0200

mapproxy (1.11.1-2) unstable; urgency=medium

  * Add upstream patch to fix WMS Capabilties with Python 3.7.
    (closes: #935887)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Aug 2019 18:47:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                libgdal-dev,
                python3-all,
                python3-lxml,
-               python3-nose,
                python3-pil,
                python3-pkg-resources,
+               python3-pytest,
                python3-redis,
                python3-requests,
                python3-setuptools,

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapproxy-$1.$2/ \
https://github.com/mapproxy/mapproxy/releases \
(?:.*?/archive/)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapproxy 1.13.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OmniscaleProxy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OmniscaleProxy.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mapproxy (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Drop patches applied/included upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Nov 2020 17:15:50 +0100

mapproxy (1.12.0-2) unstable; urgency=medium

  * Update override for embedded-javascript-library.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10.
  * Add patches for compatibility with Python 3.8.
  * Add patch to fix PIL version check.
  * Add lintian override for manpage-without-executable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 May 2020 15:00:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                libgdal-dev,
                python3-all,
@@ -23,7 +23,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	(cd doc && PYTHONPATH=$(CURDIR) $(MAKE) html)
 
 override_dh_auto_test:
-	OFFLINE_TESTS=1 dh_auto_test || echo "Ignoring test failures"
+	dh_auto_test || echo "Ignoring test failures"
 
 override_dh_auto_install:
 	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\

## mapproxy 1.13.2

=== debian/changelog ===
mapproxy (1.13.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 11:24:56 +0200

mapproxy (1.13.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Jul 2021 16:28:11 +0200

mapproxy (1.13.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 13 Jul 2021 13:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapproxy-$1.$2/ \
https://github.com/mapproxy/mapproxy/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapproxy 1.14.0

=== debian/changelog ===
mapproxy (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Nov 2021 15:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libgdal-dev,
                python3-all,
@@ -23,7 +23,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/

## mapproxy 1.15.0

=== debian/changelog ===
mapproxy (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Add python3-pyproj to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 12:38:12 +0200

## mapproxy 1.15.1

=== debian/changelog ===
mapproxy (1.15.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Add patch by Chris Lamb to make the build reproducible.
    (closes: #1012836)
  * Bump Standards-Version to 4.6.1, no changes.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

  [ Angelos Tzotsos ]
  * Added patch to work with mapnik supporting latest proj.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 12:46:51 +0100

mapproxy (1.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jun 2022 15:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-lxml,
                python3-pil,
                python3-pkg-resources,
+               python3-pyproj,
                python3-pytest,
                python3-redis,
                python3-requests,
@@ -23,10 +24,11 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/
+Rules-Requires-Root: no
 
 Package: mapproxy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,6 @@
 	done
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 
 	$(RM) debian/*/usr/share/python*-mapproxy/test/schemas/*/*/ReadMe.txt

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mapproxy-$1.$2/ \
https://github.com/mapproxy/mapproxy/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|mapproxy)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mapproxy 1.16.0+dfsg

=== debian/changelog ===
mapproxy (1.16.0+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 11:04:04 +0200

mapproxy (1.16.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Add python3-azure-storage to Recommends.
  * Repack upstream tarball to exclude minified JavaScript files.
  * Add patch to use CDN for minified JavaScript files.
  * Drop obsolete missing-sources.
  * Copy entire test subdirectory for non-python test files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2023 18:07:36 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/
@@ -55,7 +55,8 @@
          python3-yaml,
          ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-boto3,
+Recommends: python3-azure-storage,
+            python3-boto3,
             python3-botocore,
             python3-gdal,
             python3-lxml,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=mapproxy
+export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/mapproxy && cp -r {dir}/mapproxy/test {build_dir}/mapproxy
 
 include /usr/share/dpkg/pkg-info.mk

## mapproxy 2.0.0+dfsg

=== debian/changelog ===
mapproxy (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    (closes: #1025610)
  * Bump debhelper compat to 13.
  * Don't set environment variables in dh_auto_install override.
  * Remove generated files in clean target.
    (closes: #1047807)
  * Use execute_{before,after} instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update copyright file.
  * Drop reproducible-build.patch, applied upstream.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Dec 2023 15:12:02 +0100

## mapproxy 2.0.1+dfsg

=== debian/changelog ===
mapproxy (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jan 2024 15:41:22 +0100

## mapproxy 2.0.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export PYBUILD_NAME=mapproxy
 export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/mapproxy && cp -r {dir}/mapproxy/test {build_dir}/mapproxy
+export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/lib/{package}
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -12,33 +13,22 @@
 MANPAGES := $(wildcard debian/man/*.*.xml)
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_clean:
-	dh_clean debian/man/*.1
-
-override_dh_auto_clean:
-	dh_auto_clean
-
-	$(RM) -r doc/_build/
-
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	# Create man page from DocBook XML
 	for x in $(MANPAGES) ; do \
 	    docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
 	    mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
 	done
 
-	dh_auto_build
-
+execute_after_dh_auto_build:
 	(cd doc && PYTHONPATH=$(CURDIR) $(MAKE) html)
 
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"
 
-override_dh_auto_install:
-	PYBUILD_INSTALL_ARGS="--install-scripts=/usr/lib/{package}" dh_auto_install
-
+execute_after_dh_auto_install:
 	# Remove duplicate license file
 	$(RM) debian/*/usr/lib/python*/dist-packages/mapproxy/image/fonts/LICENSE
 
@@ -77,7 +67,5 @@
 		      debian/python3-$(PYBUILD_NAME)/usr/lib/python$$V/dist-packages/mapproxy/test/system/fixture/cache_data ; \
 	done
 
-override_dh_install:
-	dh_install
-
+execute_after_dh_install:
 	$(RM) debian/*/usr/share/python*-mapproxy/test/schemas/*/*/ReadMe.txt

## mapproxy 2.0.2+dfsg

=== debian/changelog ===
mapproxy (2.0.2+dfsg-2) unstable; urgency=medium

  * Drop mapproxy-doc package, causes FTBFS.
    (closes: #1072596)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Jun 2024 05:34:08 +0200

mapproxy (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jan 2024 16:11:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
                libgdal-dev,
                python3-all,
                python3-lxml,
@@ -16,8 +17,6 @@
                python3-requests,
                python3-setuptools,
                python3-shapely,
-               python3-sphinx,
-               python3-sphinx-bootstrap-theme,
                python3-webtest,
                python3-yaml,
                docbook2x,
@@ -35,7 +34,6 @@
 Section: web
 Depends: python3-mapproxy (= ${binary:Version}),
          ${misc:Depends}
-Suggests: mapproxy-doc
 Description: open source proxy for geospatial data
  MapProxy is an open source proxy for geospatial data. It caches, accelerates
  and transforms data from existing map services and serves any desktop or web
@@ -72,18 +70,3 @@
  fully compliant WMS server supporting any WMS client (desktop and web).
  .
  This package provides the mapproxy module for Python 3.
-
-Package: mapproxy-doc
-Architecture: all
-Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Description: open source proxy for geospatial data - documentation
- MapProxy is an open source proxy for geospatial data. It caches, accelerates
- and transforms data from existing map services and serves any desktop or web
- GIS client.
- .
- MapProxy is a tile server (WMS-C, TMS, WMTS, KML SuperOverlays), and also a
- fully compliant WMS server supporting any WMS client (desktop and web).
- .
- This package provides the MapProxy documentation.

## mapproxy 2.2.0+dfsg

=== debian/changelog ===
mapproxy (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop python3-importlib-resources from build dependencies.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 24 Jul 2024 20:23:41 +0200

mapproxy (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update (build) dependencies.
  * Drop disable-tag_date.patch, obsolete. Refresh remaining patches.
  * Update README filename in docs file.
  * Add patch to get version from d/changelog when metadata is not available.
  * Add patch to not use cmp from past module.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Jul 2024 08:09:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                dh-sequence-python3,
                libgdal-dev,
                python3-all,
+               python3-jsonschema,
                python3-lxml,
                python3-pil,
-               python3-pkg-resources,
                python3-pyproj,
                python3-pytest,
                python3-redis,
@@ -18,6 +18,7 @@
                python3-setuptools,
                python3-shapely,
                python3-webtest,
+               python3-werkzeug,
                python3-yaml,
                docbook2x,
                docbook-xsl,
@@ -47,10 +48,6 @@
 Package: python3-mapproxy
 Architecture: all
 Depends: fonts-dejavu-core,
-         python3-pil,
-         python3-pkg-resources,
-         python3-pyproj,
-         python3-yaml,
          ${python3:Depends},
          ${misc:Depends}
 Recommends: python3-azure-storage,

## mapproxy 3.1.0+dfsg

=== debian/changelog ===
mapproxy (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2024 17:31:32 +0200

mapproxy (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Aug 2024 18:09:25 +0200

## mapproxy 3.1.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapproxy
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapproxy.git
 Homepage: http://mapproxy.org/
